org.apache.commons.math3.util

## Class BigRealField

- java.lang.Object
- - org.apache.commons.math3.util.BigRealField

- All Implemented Interfaces:
    Serializable, Field<BigReal>

      public class BigRealField
      extends Object
      implements Field<BigReal>, Serializable

  Representation of real numbers with arbitrary precision field.

  This class is a singleton.

  Since:
    2.0
  Version:
    $Id: BigRealField.java 1416643 2012-12-03 19:37:14Z tn $
  See Also:
    `BigReal`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `BigRealField.LazyHolder` Holder for the instance.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable version identifier

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `BigRealField()` Private constructor for the singleton.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BigRealField` | `getInstance()` Get the unique instance.
    `BigReal` | `getOne()` Get the multiplicative identity of the field.
    `Class<? extends FieldElement<BigReal>>` | `getRuntimeClass()` Returns the runtime class of the FieldElement.
    `BigReal` | `getZero()` Get the additive identity of the field.
    `private Object` | `readResolve()` Handle deserialization of the singleton.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version identifier
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BigRealField

          private BigRealField()

      Private constructor for the singleton.

  - ### Method Detail

    - #### getInstance

          public static BigRealField getInstance()

      Get the unique instance.
      Returns:
        the unique instance

    - #### getOne

          public BigReal getOne()

      Get the multiplicative identity of the field.

      The multiplicative identity is the element e1 of the field such that for all elements a of the field, the equalities a × e1 = e1 × a = a hold.

      Specified by:
        `getOne` in interface `Field<BigReal>`
      Returns:
        multiplicative identity of the field

    - #### getZero

          public BigReal getZero()

      Get the additive identity of the field.

      The additive identity is the element e0 of the field such that for all elements a of the field, the equalities a + e0 = e0 + a = a hold.

      Specified by:
        `getZero` in interface `Field<BigReal>`
      Returns:
        additive identity of the field

    - #### getRuntimeClass

          public Class<? extends FieldElement<BigReal>> getRuntimeClass()

      Returns the runtime class of the FieldElement.
      Specified by:
        `getRuntimeClass` in interface `Field<BigReal>`
      Returns:
        The `Class` object that represents the runtime class of this object.

    - #### readResolve

          private Object readResolve()

      Handle deserialization of the singleton.
      Returns:
        the singleton instance

Copyright (c) 2003-2013 Apache Software Foundation